aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2016-06-04 12:09:00 -0400
committerAnthony G. Basile <blueness@gentoo.org>2016-06-04 12:09:00 -0400
commit1ae8501b23c69338c3e9b25660ce7fde51f79e4c (patch)
tree142e32fc74090fc24dbfdee7f1cd58a995cf1a6b
parenttool-uclibc: =dev-libs/libintl-0.19.7 is stable in the tree (diff)
downloadreleng-1ae8501b.tar.gz
releng-1ae8501b.tar.bz2
releng-1ae8501b.zip
tools-musl/run.sh: restore code accidentally removed
-rwxr-xr-xtools-musl/run.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools-musl/run.sh b/tools-musl/run.sh
index e84e6a62..cbd9b875 100755
--- a/tools-musl/run.sh
+++ b/tools-musl/run.sh
@@ -52,6 +52,17 @@ main() {
prepare_confs ${arch} ${flavor}
done
done
+
+ # The parallelization `( do_stages ... ) &` doesn't work here
+ # if catalyst is using snapcache, bug #519656
+ for arch in amd64 i686; do
+ for flavor in hardened vanilla; do
+ (
+ do_stages ${arch} ${flavor}
+ [[ $? == 1 ]] && echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
+ ) &
+ done
+ done
}
main $1 &